# v4.41.19 (Tue Jan 30 2024)

#### 🐛 Bug Fix

- Merge branch 'latest' into docs-design-tokens-overview ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.41.16 (Mon Jan 29 2024)

#### 🐛 Bug Fix

- Merge branch 'latest' into GormanDesign-patch-2 ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- users can add pattern from overview page [#3466](https://github.com/knapsack-labs/app-monorepo/pull/3466) ([@GormanDesign](https://github.com/GormanDesign))
- improve token block group filtering [#3452](https://github.com/knapsack-labs/app-monorepo/pull/3452) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.41.15 (Fri Jan 26 2024)

#### 🐛 Bug Fix

- Merge branch 'latest' into GormanDesign-patch-3 ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.41.13 (Thu Jan 25 2024)

#### 🐛 Bug Fix

- Merge branch 'latest' into patterns-overview-command-click ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- patterns overview command click to open in tab [#3446](https://github.com/knapsack-labs/app-monorepo/pull/3446) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.41.11 (Tue Jan 23 2024)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3499-add-transition-token-demo ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.41.8 (Mon Jan 22 2024)

#### 🐛 Bug Fix

- update token validation for cubic bezier [#3448](https://github.com/knapsack-labs/app-monorepo/pull/3448) ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.41.7 (Mon Jan 22 2024)

#### 🐛 Bug Fix

- Merge branch 'latest' into node-selector-thumbnail-grid ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-4365-update-frames-response-to-stop-at-first-level ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-4360-add-design-src-component-block ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'feature/ksp-4338-add-select-all-action-to-node-selector-groups' into node-selector-thumbnail-grid ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-4338-add-select-all-action-to-node-selector-groups ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into develop-section-poc ([@GormanDesign](https://github.com/GormanDesign))
- Merge remote-tracking branch 'origin/latest' into feature/ksp-4360-add-design-src-component-block ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- Develop Patterns Page (Feature Flagged) [#3355](https://github.com/knapsack-labs/app-monorepo/pull/3355) ([@GormanDesign](https://github.com/GormanDesign) [@EvanLovely](https://github.com/EvanLovely))
- allow selecting all nodes in a group [#3424](https://github.com/knapsack-labs/app-monorepo/pull/3424) ([@GormanDesign](https://github.com/GormanDesign))
- adds size prop to KS Sandbox React Button [#3434](https://github.com/knapsack-labs/app-monorepo/pull/3434) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.41.6 (Fri Jan 19 2024)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-4363-gql-mutations-for-figma-file-metadata ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.41.5 (Thu Jan 18 2024)

#### 🏠 Internal

- display design src file block & pattern usage prior to deleting KSP-4343 [#3425](https://github.com/knapsack-labs/app-monorepo/pull/3425) ([@EvanLovely](https://github.com/EvanLovely))
- design src file add form updates [#3423](https://github.com/knapsack-labs/app-monorepo/pull/3423) ([@EvanLovely](https://github.com/EvanLovely))
- setting design src images to allow for unknown size [#3422](https://github.com/knapsack-labs/app-monorepo/pull/3422) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.41.4 (Fri Jan 12 2024)

#### 🐛 Bug Fix

- Debounce Embed Block Settings [#3416](https://github.com/knapsack-labs/app-monorepo/pull/3416) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.41.3 (Fri Jan 12 2024)

#### 🐛 Bug Fix

- Add padding to bottom of secondary nav [#3419](https://github.com/knapsack-labs/app-monorepo/pull/3419) ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- improve resiliance of block collections by ensuring blockIds are always unique [#3418](https://github.com/knapsack-labs/app-monorepo/pull/3418) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.41.2 (Fri Jan 12 2024)

### Release Notes

#### design source block enhancements ([#3413](https://github.com/knapsack-labs/app-monorepo/pull/3413))

- Renames block to "Design Source Tiles"
- Updates block to be tiles (ie no wrapped link) instead of cards
- Additional block settings options:
  - Layout: grid | list
  - Columns: 1 - 4 when using grid layout 
  - Image Styles: align, background, corners, and size
- Adds drag and drop to tiles
- Adds remove tile option

<img width="1114" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/fbb6980d-f37f-453d-84ad-6229a87aaf7f">

![localhost_8080_site_custom_http%3A%2F%2Flocalhost%3A3998_pages_design-source-tiles](https://github.com/knapsack-labs/app-monorepo/assets/5743332/f5775e9f-a9e0-4629-97f0-a6f4ddad62f0)

<img width="1624" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/1736f144-2810-451c-850a-50912f7bf7f9">

### Image Fit Fill Option
- Aimed at use cases for replacing existing Figma Embeds

<img width="1115" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/624bff4f-84ee-4bf3-9664-587b5d839d1d">

---

#### 🏠 Internal

- design source block enhancements [#3413](https://github.com/knapsack-labs/app-monorepo/pull/3413) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.41.1 (Fri Jan 12 2024)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-4328-implement-persisting-figma-oauth-metadata-in-db ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- Update dependency @auto-it/npm to v11 [#3341](https://github.com/knapsack-labs/app-monorepo/pull/3341) ([@renovate[bot]](https://github.com/renovate[bot]))
- refactor Blocks config to allow discriminated unions KSP-3644 [#3410](https://github.com/knapsack-labs/app-monorepo/pull/3410) ([@EvanLovely](https://github.com/EvanLovely))
- setup API error codes, improve Figma File Add form [#3404](https://github.com/knapsack-labs/app-monorepo/pull/3404) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 3

- [@renovate[bot]](https://github.com/renovate[bot])
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.41.0 (Wed Jan 10 2024)

#### 🏠 Internal

- sets up Design Src Auth Checker component [#3395](https://github.com/knapsack-labs/app-monorepo/pull/3395) ([@EvanLovely](https://github.com/EvanLovely))
- improve App API GQL error message [#3393](https://github.com/knapsack-labs/app-monorepo/pull/3393) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.40.24 (Tue Jan 09 2024)

#### 🐛 Bug Fix

- Twig Renderer updated to use v3 of PHP Twig [#3387](https://github.com/knapsack-labs/app-monorepo/pull/3387) ([@greylabel](https://github.com/greylabel))
- Merge branch 'latest' into feature/KSP-4318--update-twig-renderer ([@greylabel](https://github.com/greylabel))

#### Authors: 1

- Grant Gaudet ([@greylabel](https://github.com/greylabel))

---

# v4.40.22 (Mon Jan 08 2024)

#### 🐛 Bug Fix

- Merge branch 'latest' into docs-add-tokens-ui ([@brittanysmart](https://github.com/brittanysmart))
- Merge remote-tracking branch 'origin/latest' into feature/design-src-node-block ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/design-src-node-block ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/feature/design-src-gql-ui' into feature/design-src-node-block ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Brittany Smart ([@brittanysmart](https://github.com/brittanysmart))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.40.21 (Thu Jan 04 2024)

#### 🐛 Bug Fix

- Ensure footer sits above pageHeroContent [#3384](https://github.com/knapsack-labs/app-monorepo/pull/3384) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.40.19 (Thu Jan 04 2024)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-4310-crash-when-editing-linked-text-in-a-rich-text-editor-block ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.40.18 (Thu Jan 04 2024)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-4033-inviting-a-user-to-a-workspace-with-variations-of ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/use-figma-oauth-token ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-4308-converting-a-page-to-a-pattern ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/design-src-gql-ui ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/feature/design-src-gql' into feature/design-src-gql-ui ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- refactor UI to use GQL for Design Src (Figma) KSP-4253 [#3358](https://github.com/knapsack-labs/app-monorepo/pull/3358) ([@EvanLovely](https://github.com/EvanLovely))
- Updates plugin-changelog-md package minor version. [#3373](https://github.com/knapsack-labs/app-monorepo/pull/3373) ([@greylabel](https://github.com/greylabel))

#### Authors: 3

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Grant Gaudet ([@greylabel](https://github.com/greylabel))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.40.17 (Tue Jan 02 2024)

#### 🐛 Bug Fix

- filter null values from block ids [#3359](https://github.com/knapsack-labs/app-monorepo/pull/3359) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-4289-docs-is-the-knapsack-ui-mobile-friendly ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-4281-empty-block-id-error ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.40.16 (Tue Jan 02 2024)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-4290-add-testing-for-figma-oauth-flow ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.40.15 (Sat Dec 30 2023)

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/latest' into feature/design-src-gql ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-4279-update-intercome-to-handle-anonymous-users ([@mabry1985](https://github.com/mabry1985))
- Merge remote-tracking branch 'origin/feature/ksp-4253-add-frames-slices-to-api-response' into feature/design-src-gql ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.40.14 (Thu Dec 28 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-4219-design-auth-flow-for-figma-embeds ([@greylabel](https://github.com/greylabel))
- Merge branch 'latest' into feature/ksp-4219-design-auth-flow-for-figma-embeds ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Grant Gaudet ([@greylabel](https://github.com/greylabel))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.40.13 (Wed Dec 27 2023)

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/latest' into feature/upgrade-gql-gen ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/feature/upgrade-ts' into feature/upgrade-gql-gen ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- Design Source Settings Page [#3353](https://github.com/knapsack-labs/app-monorepo/pull/3353) ([@GormanDesign](https://github.com/GormanDesign))
- Pattern Design Source Tab Management [#3350](https://github.com/knapsack-labs/app-monorepo/pull/3350) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.40.11 (Thu Dec 21 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-4236-create-xstate-actions ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.40.10 (Mon Dec 18 2023)

#### 🐛 Bug Fix

- format pkgs ([@EvanLovely](https://github.com/EvanLovely))
- upgrade TS to 5.3.3 ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-4045-show-better-error-when-deployments-are-not-set-up ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- upgrade Apollo Server 3 => 4 [#3309](https://github.com/knapsack-labs/app-monorepo/pull/3309) ([@EvanLovely](https://github.com/EvanLovely))
- upgrade TypeScript from 5.0.3 to 5.3.3 [#3308](https://github.com/knapsack-labs/app-monorepo/pull/3308) ([@EvanLovely](https://github.com/EvanLovely))
- show message when app client deployments are not set up yet [#3197](https://github.com/knapsack-labs/app-monorepo/pull/3197) ([@EvanLovely](https://github.com/EvanLovely))
- setup Xstate Action Maps pattern [#3306](https://github.com/knapsack-labs/app-monorepo/pull/3306) ([@EvanLovely](https://github.com/EvanLovely))
- Updates Pattern add tab flow [#3304](https://github.com/knapsack-labs/app-monorepo/pull/3304) ([@GormanDesign](https://github.com/GormanDesign) [@mabry1985](https://github.com/mabry1985))

#### Authors: 3

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.40.9 (Thu Dec 14 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-4172-detect-if-monorepo-and-add-knapsack-as-package ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- Update dependency turbo to v1.11.2 [#3236](https://github.com/knapsack-labs/app-monorepo/pull/3236) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 2

- [@renovate[bot]](https://github.com/renovate[bot])
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.40.8 (Thu Dec 14 2023)

#### 🐛 Bug Fix

- Filter token display options when no token type is set [#3258](https://github.com/knapsack-labs/app-monorepo/pull/3258) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.40.6 (Tue Dec 12 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3477-cannot-delete-a-pattern-through-ui-running-locally ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-4242-migrate-script-should-use-old-db-approach-for-migrations ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-4165-parallel-auth0-action-to-test-account-merging ([@illepic](https://github.com/illepic))
- KSP-4165: merge from latest ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-4016-hasura-db-schema-should-be-updated-to-allow-for-the ([@illepic](https://github.com/illepic))
- Merge branch 'feature/ksp-3940-auth0-actions' into feature/ksp-4016-hasura-db-schema-should-be-updated-to-allow-for-the ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-3968-sso-sites-should-allow-arbitrary-email-domains-to-sign-in ([@illepic](https://github.com/illepic))

#### 📝 Documentation

- move new basic block docs to block group [#3293](https://github.com/knapsack-labs/app-monorepo/pull/3293) ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.40.4 (Tue Dec 12 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/cleanup-url-utils ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/figma-ui-setup ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into workspace-theme-vars ([@GormanDesign](https://github.com/GormanDesign))
- Merge remote-tracking branch 'origin/latest' into feature/figma-api-lib ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- setup figma api lib KSP-4202 [#3243](https://github.com/knapsack-labs/app-monorepo/pull/3243) ([@EvanLovely](https://github.com/EvanLovely))
- Workspace theme vars [#3277](https://github.com/knapsack-labs/app-monorepo/pull/3277) ([@GormanDesign](https://github.com/GormanDesign))

#### 📝 Documentation

- adds shortcut tiles docs [#3290](https://github.com/knapsack-labs/app-monorepo/pull/3290) ([@mabry1985](https://github.com/mabry1985))
- add image block docs [#3289](https://github.com/knapsack-labs/app-monorepo/pull/3289) ([@mabry1985](https://github.com/mabry1985))
- add divider docs [#3288](https://github.com/knapsack-labs/app-monorepo/pull/3288) ([@mabry1985](https://github.com/mabry1985))
- add code snippet block docs [#3287](https://github.com/knapsack-labs/app-monorepo/pull/3287) ([@mabry1985](https://github.com/mabry1985))
- add attachment block docs [#3286](https://github.com/knapsack-labs/app-monorepo/pull/3286) ([@mabry1985](https://github.com/mabry1985))
- add callout block [#3285](https://github.com/knapsack-labs/app-monorepo/pull/3285) ([@mabry1985](https://github.com/mabry1985))
- add markdown docs [#3283](https://github.com/knapsack-labs/app-monorepo/pull/3283) ([@mabry1985](https://github.com/mabry1985))
- adds table docs [#3281](https://github.com/knapsack-labs/app-monorepo/pull/3281) ([@mabry1985](https://github.com/mabry1985))
- add text block docs [#3280](https://github.com/knapsack-labs/app-monorepo/pull/3280) ([@mabry1985](https://github.com/mabry1985))

#### Authors: 3

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.40.2 (Mon Dec 11 2023)

#### 🏠 Internal

- update react-query [#3274](https://github.com/knapsack-labs/app-monorepo/pull/3274) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.40.1 (Fri Dec 08 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3872-cannot-rename-group-with-children-in-secondary-nav ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.39.1 (Wed Dec 06 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-4086-blocks-re-render-on-hover-after-block-collection-refactor ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.39.0 (Wed Dec 06 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-4184-create-ks-sandbox-embed-examples ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- adds figma embed example [#3259](https://github.com/knapsack-labs/app-monorepo/pull/3259) ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.38.0 (Wed Dec 06 2023)

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/latest' into feature/design-token-cli ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.37.5 (Tue Dec 05 2023)

### Release Notes

#### Guidelines Block ([#3251](https://github.com/knapsack-labs/app-monorepo/pull/3251))

**New Block Type: Guidelines Block**
Docs: https://docs.knapsack.cloud/site/ks-docs/latest/pages/guidelines-block

![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/2841ddc5-2236-4dda-8b12-c0a9093bb008)
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/3b445e36-44a0-4377-85d5-724356048442)
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/6d2daed7-0d5e-4d7f-96dd-d1f9dd1b53ef)
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/8ed64816-c121-41c8-8b49-695ba5bb4077)

---

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-4130-update-learn-more-link ([@mabry1985](https://github.com/mabry1985))
- improved loading of Figma embeds [#3246](https://github.com/knapsack-labs/app-monorepo/pull/3246) ([@mabry1985](https://github.com/mabry1985) [@GormanDesign](https://github.com/GormanDesign))
- Guidelines Block [#3251](https://github.com/knapsack-labs/app-monorepo/pull/3251) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into guidelines-block ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.37.4 (Tue Dec 05 2023)

#### 🐛 Bug Fix

- Fixes markdown block headings not using theming text transform KSP-4190 [#3254](https://github.com/knapsack-labs/app-monorepo/pull/3254) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into GormanDesign-patch-2 ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Move image modal to app components [#3242](https://github.com/knapsack-labs/app-monorepo/pull/3242) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.37.3 (Tue Dec 05 2023)

#### 🐛 Bug Fix

- Tokens Admin: move description to tooltip and always hide ID column [#3253](https://github.com/knapsack-labs/app-monorepo/pull/3253) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into asset-sets-docs ([@mabry1985](https://github.com/mabry1985))

#### 📝 Documentation

- adds asset set docs - Josh Mabry [#3233](https://github.com/knapsack-labs/app-monorepo/pull/3233) ([@knapsack-cloud[bot]](https://github.com/knapsack-cloud[bot]) [@mabry1985](https://github.com/mabry1985))

#### Authors: 3

- [@knapsack-cloud[bot]](https://github.com/knapsack-cloud[bot])
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.37.2 (Tue Dec 05 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-4179-add-ability-for-mailto-link-formatting ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Fixes documentation footer not wrapping on mobile [#3239](https://github.com/knapsack-labs/app-monorepo/pull/3239) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.37.0 (Fri Dec 01 2023)

#### 🚀 Enhancement

- setup template suggestions KSP-4170 [#3198](https://github.com/knapsack-labs/app-monorepo/pull/3198) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/latest' into feature/template-suggestions ([@EvanLovely](https://github.com/EvanLovely))
- use browser env for better imports, add tests ([@EvanLovely](https://github.com/EvanLovely))
- change around to use esbuild's metadata to get export names ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/template-suggestions ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'feature/refactor-template-form' into feature/template-suggestions ([@EvanLovely](https://github.com/EvanLovely))
- setup template suggestions ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.36.0 (Fri Dec 01 2023)

#### 🚀 Enhancement

- Enhance React Renderer DemoWrapper with metadata [#3231](https://github.com/knapsack-labs/app-monorepo/pull/3231) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.35.4 (Fri Dec 01 2023)

#### 🐛 Bug Fix

- remove unneeded info callout and updates help text [#3234](https://github.com/knapsack-labs/app-monorepo/pull/3234) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into renovate/langchain-0.x ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.35.2 (Thu Nov 30 2023)

#### 🐛 Bug Fix

- KSP-3633: do not destroy subgroups when renaming parent group [#2920](https://github.com/knapsack-labs/app-monorepo/pull/2920) ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-3633-editing-token-group-title-destroys-all-subgroups-and-tokens ([@illepic](https://github.com/illepic))
- Merge branch 'feature/ksp-3510-group-names-with-slashes-breaks-nav-model' into feature/ksp-3633-editing-token-group-title-destroys-all-subgroups-and-tokens ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-3510-group-names-with-slashes-breaks-nav-model ([@illepic](https://github.com/illepic))

#### Authors: 1

- Christopher Bloom ([@illepic](https://github.com/illepic))

---

# v4.35.1 (Thu Nov 30 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into GormanDesign-patch-2 ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.35.0 (Thu Nov 30 2023)

### Release Notes

#### add asset sets to pattern variations block ([#3223](https://github.com/knapsack-labs/app-monorepo/pull/3223))

Pattern Variations block can now specify an Asset Set to show.
Example of 2 blocks showing a button's `type` prop of primary, secondary in 2 asset sets:

![CleanShot 2023-11-28 at 11 42 39](https://github.com/knapsack-labs/app-monorepo/assets/569699/233e23ba-5646-4ee3-89ec-4bcd7de08328)

https://github.com/knapsack-labs/app-monorepo/assets/569699/11e39a22-0750-4560-b253-d322e5708a72

---

#### 🚀 Enhancement

- add asset sets to pattern variations block [#3223](https://github.com/knapsack-labs/app-monorepo/pull/3223) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- Merge branch 'latest' into nav-docs-add-search-terms ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-4116-docs-system-overview-block ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into nav-docs-add-search-terms ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into deployment-guides ([@freneticpixel](https://github.com/freneticpixel))
- Merge branch 'latest' into nav-docs-add-search-terms ([@brittanysmart](https://github.com/brittanysmart))

#### 📝 Documentation

- KSP-4067: Docs: Deployment Guides [#3220](https://github.com/knapsack-labs/app-monorepo/pull/3220) ([@knapsack-cloud[bot]](https://github.com/knapsack-cloud[bot]) [@freneticpixel](https://github.com/freneticpixel))

#### Authors: 5

- [@knapsack-cloud[bot]](https://github.com/knapsack-cloud[bot])
- Brittany Smart ([@brittanysmart](https://github.com/brittanysmart))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.34.6 (Wed Nov 29 2023)

#### 🐛 Bug Fix

- add case for using React.Reactnode as children type [#3227](https://github.com/knapsack-labs/app-monorepo/pull/3227) ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- React Renderer Infer Spec tests: basic package [#3225](https://github.com/knapsack-labs/app-monorepo/pull/3225) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.34.4 (Tue Nov 28 2023)

#### 🐛 Bug Fix

- fix quoted numbers in React infer spec KSP-3688 [#3221](https://github.com/knapsack-labs/app-monorepo/pull/3221) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.34.3 (Tue Nov 28 2023)

#### 🐛 Bug Fix

- Updates token sorting logic [#3219](https://github.com/knapsack-labs/app-monorepo/pull/3219) ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.34.0 (Mon Nov 27 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3557-feature-request-add-title-and-description-to-system-blocks ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-4066-add-focus-ring-to-inline-links ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-4058-improve-docs-landing-experience ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Update dependency esbuild-plugin-browserslist to ^0.10.0 [#2938](https://github.com/knapsack-labs/app-monorepo/pull/2938) ([@renovate[bot]](https://github.com/renovate[bot]))

#### 📝 Documentation

- Improve docs landing experience [#3206](https://github.com/knapsack-labs/app-monorepo/pull/3206) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 3

- [@renovate[bot]](https://github.com/renovate[bot])
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.33.3 (Tue Nov 21 2023)

#### 🐛 Bug Fix

- Adds open in new tab button to pattern embed block [#3209](https://github.com/knapsack-labs/app-monorepo/pull/3209) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.33.2 (Tue Nov 21 2023)

#### 🐛 Bug Fix

- Prevent hidden pages from getting removed from nav [#3212](https://github.com/knapsack-labs/app-monorepo/pull/3212) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.33.0 (Mon Nov 20 2023)

### Release Notes

#### enable filtering of specific tokens assets in output KSP-4078 ([#3210](https://github.com/knapsack-labs/app-monorepo/pull/3210))

Can now do this in `knapsack.config.js`:

```diff
  designTokens: {
    targets: {
      android: {
        enabled: true,
+        filterTokens: (token) => {
+          // just an example of how to filter tokens
+         return token.id.startsWith('breakpoint');
+        },
      },
      ios: { enabled: false },
      css: { enabled: true },
      js: { enabled: true },
    },
  },
```

---

#### 🚀 Enhancement

- enable filtering of specific tokens assets in output KSP-4078 [#3210](https://github.com/knapsack-labs/app-monorepo/pull/3210) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.32.23 (Mon Nov 20 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-4010-replace-default-intercom-launcher ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.32.22 (Fri Nov 17 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into shortcut-tiles-drag-and-drop ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.32.21 (Fri Nov 17 2023)

#### 🐛 Bug Fix

- Replaces text block link manager with link modal [#3149](https://github.com/knapsack-labs/app-monorepo/pull/3149) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into deploying-knapsack ([@EvanLovely](https://github.com/EvanLovely))
- Secondary nav header uses theme settings [#3196](https://github.com/knapsack-labs/app-monorepo/pull/3196) ([@GormanDesign](https://github.com/GormanDesign))
- Custom landing page template [#3199](https://github.com/knapsack-labs/app-monorepo/pull/3199) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3918-a11y-cannot-expandcollapse-left-nav-items-via-jaws ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/refactor-template-form ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3927-replace-text-editor-link-input-with-link-modal ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- refactor template form with Combobox KSP-4024 [#3186](https://github.com/knapsack-labs/app-monorepo/pull/3186) ([@EvanLovely](https://github.com/EvanLovely) [@GormanDesign](https://github.com/GormanDesign))

#### 📝 Documentation

- Update Install and Running docs - Brittany Smart [#3200](https://github.com/knapsack-labs/app-monorepo/pull/3200) ([@knapsack-cloud[bot]](https://github.com/knapsack-cloud[bot]))

#### Authors: 4

- [@knapsack-cloud[bot]](https://github.com/knapsack-cloud[bot])
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.32.19 (Thu Nov 16 2023)

#### 🐛 Bug Fix

- allow for importing from inside the package itself [#3193](https://github.com/knapsack-labs/app-monorepo/pull/3193) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.32.18 (Thu Nov 16 2023)

#### 🐛 Bug Fix

- show React Renderer errors in UI [#3192](https://github.com/knapsack-labs/app-monorepo/pull/3192) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.32.15 (Wed Nov 15 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3721-ks-select-suppresses-the-focus-outline ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.32.14 (Tue Nov 14 2023)

#### 🐛 Bug Fix

- small improvements to create knapsack CLI [#3184](https://github.com/knapsack-labs/app-monorepo/pull/3184) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.32.13 (Tue Nov 14 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3971-table-of-contents-a11y-updates ([@GormanDesign](https://github.com/GormanDesign))
- Merge remote-tracking branch 'origin/latest' into feature/ksp-3842-refactor-block-collection-so-it-does-not-save-all-blocks ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3842-refactor-block-collection-so-it-does-not-save-all-blocks ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- refactor Block Collection KSP-3842 [#3132](https://github.com/knapsack-labs/app-monorepo/pull/3132) ([@EvanLovely](https://github.com/EvanLovely) [@GormanDesign](https://github.com/GormanDesign))
- Code block enhancements [#3178](https://github.com/knapsack-labs/app-monorepo/pull/3178) ([@GormanDesign](https://github.com/GormanDesign))

#### 📝 Documentation

- Stencil - Bloom [#3171](https://github.com/knapsack-labs/app-monorepo/pull/3171) ([@knapsack-cloud[bot]](https://github.com/knapsack-cloud[bot]))

#### Authors: 3

- [@knapsack-cloud[bot]](https://github.com/knapsack-cloud[bot])
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.32.12 (Tue Nov 14 2023)

#### 🐛 Bug Fix

- improve React & Vue Renderer logic [#3153](https://github.com/knapsack-labs/app-monorepo/pull/3153) ([@EvanLovely](https://github.com/EvanLovely) [@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/webpack-renderer-improvements ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.32.11 (Mon Nov 13 2023)

#### 🐛 Bug Fix

- prevent table of contents collapse while editing blocks [#3163](https://github.com/knapsack-labs/app-monorepo/pull/3163) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3791-error-screen-for-down-app-client-deploy-should-be-better ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3791-error-screen-for-down-app-client-deploy-should-be-better ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- Improve site loading errors KSP-3791 [#3049](https://github.com/knapsack-labs/app-monorepo/pull/3049) ([@EvanLovely](https://github.com/EvanLovely) [@GormanDesign](https://github.com/GormanDesign))

#### Authors: 3

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.32.10 (Mon Nov 13 2023)

#### 🐛 Bug Fix

- removes attributes from tooltip wrapper [#3152](https://github.com/knapsack-labs/app-monorepo/pull/3152) ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.32.8 (Wed Nov 08 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into issue/empty-renderer-array-fix ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.32.6 (Wed Nov 08 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3942-info-circle-tooltip-updates ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.32.5 (Fri Nov 03 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3951-remove-old-tooltip ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- debounce patch saver [#3135](https://github.com/knapsack-labs/app-monorepo/pull/3135) ([@EvanLovely](https://github.com/EvanLovely))
- refactor patch saver [#3134](https://github.com/knapsack-labs/app-monorepo/pull/3134) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.32.4 (Wed Nov 01 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3903-profile-picture-accessibility-improvements ([@mabry1985](https://github.com/mabry1985))

#### 📝 Documentation

- Added User Roles and Permissions under Team Management section - Brittany Smart [#3138](https://github.com/knapsack-labs/app-monorepo/pull/3138) ([@knapsack-cloud[bot]](https://github.com/knapsack-cloud[bot]))

#### Authors: 2

- [@knapsack-cloud[bot]](https://github.com/knapsack-cloud[bot])
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.32.3 (Wed Nov 01 2023)

#### 🐛 Bug Fix

- ensure default demos,blocks byId in update script KSP-3949 [#3146](https://github.com/knapsack-labs/app-monorepo/pull/3146) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.32.2 (Wed Nov 01 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3603-upgrade-to-cypress-13 ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- removes unused component [#3140](https://github.com/knapsack-labs/app-monorepo/pull/3140) ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.32.1 (Tue Oct 31 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3899-add-buttons-to-link-modal ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.31.0 (Fri Oct 27 2023)

#### 🏠 Internal

- renaming page no longer changes pageId KSP-3919 [#3122](https://github.com/knapsack-labs/app-monorepo/pull/3122) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.30.1 (Thu Oct 26 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3911-add-label-to-knapsack-logo-button ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- applyPatches safely [#3120](https://github.com/knapsack-labs/app-monorepo/pull/3120) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.30.0 (Wed Oct 25 2023)

#### 🐛 Bug Fix

- Bump version to: v4.29.1 \[skip ci\] ([@KnapsackBot](https://github.com/KnapsackBot))
- Update CHANGELOG.md \[skip ci\] ([@KnapsackBot](https://github.com/KnapsackBot))
- Bump version to: v4.29.0 \[skip ci\] ([@KnapsackBot](https://github.com/KnapsackBot))
- Bump version to: v4.28.2 \[skip ci\] ([@KnapsackBot](https://github.com/KnapsackBot))
- Merge remote-tracking branch 'origin/latest' into 10-17-break_db._blocks_demos_.byId_out_into_individual_JSON_files_to_reduce_merge_conflicts ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- exit early if no pattern xstate changes [#3115](https://github.com/knapsack-labs/app-monorepo/pull/3115) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- KnapsackBot ([@KnapsackBot](https://github.com/KnapsackBot))

---

# v4.29.1 (Wed Oct 25 2023)

#### 🐛 Bug Fix

- inline edit text accessibility updates [#3104](https://github.com/knapsack-labs/app-monorepo/pull/3104) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3801-inline-text-edit-updates ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3868-remove-sitestatus-column ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- Remove siteStatus column from db and usage [#3094](https://github.com/knapsack-labs/app-monorepo/pull/3094) ([@freneticpixel](https://github.com/freneticpixel))
- Allow deleting ghost nav items KSP-3895 [#3110](https://github.com/knapsack-labs/app-monorepo/pull/3110) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 3

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.28.2 (Tue Oct 24 2023)

### Release Notes

#### Text Editor Improvements ([#3103](https://github.com/knapsack-labs/app-monorepo/pull/3103))

- Adds the ability to control text alignment
- Moves text styles to a single menu to more easily switch between body text, list types, and heading levels.
<img width="381" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/5bcee97f-a305-4672-9f08-55a0d8a6b914">

#### update script will check version to skip updates that have already ran KSP-3792 ([#3078](https://github.com/knapsack-labs/app-monorepo/pull/3078))

This is the best way to upgrade Knapsack NPM packages:

```
npx @knapsack/update@latest
```

Now it will skip updates (like the long v4 updates) that have already ran.

---

#### 🐛 Bug Fix

- Text Editor Improvements [#3103](https://github.com/knapsack-labs/app-monorepo/pull/3103) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into demo-height-fix ([@mabry1985](https://github.com/mabry1985))
- primary nav accessibility updates [#3102](https://github.com/knapsack-labs/app-monorepo/pull/3102) ([@mabry1985](https://github.com/mabry1985))
- update script will check version to skip updates that have already ran KSP-3792 [#3078](https://github.com/knapsack-labs/app-monorepo/pull/3078) ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into 10-17-update_script_will_check_version_to_skip_updates_that_have_already_ran_KSP-3792 ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- remove redundant formatCode when writing files [#3079](https://github.com/knapsack-labs/app-monorepo/pull/3079) ([@EvanLovely](https://github.com/EvanLovely))
- correct docs pkg version [#3083](https://github.com/knapsack-labs/app-monorepo/pull/3083) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 3

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.28.0 (Mon Oct 23 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3866-add-ability-to-add-external-links-to-navigation ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3866-add-ability-to-add-external-links-to-navigation ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.27.13 (Thu Oct 19 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into handle-empty-subpages ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.27.11 (Thu Oct 19 2023)

#### 🐛 Bug Fix

- ensure non-latest branches see latest branches just-published changes KSP-3553 [#3076](https://github.com/knapsack-labs/app-monorepo/pull/3076) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.27.9 (Thu Oct 19 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into page-hero-improvements ([@GormanDesign](https://github.com/GormanDesign))
- update move to page list to use tab title [#3080](https://github.com/knapsack-labs/app-monorepo/pull/3080) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3766-tab-title-isnt-used-in-search-results-making-them-difficult ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3242-duplicate-pr-name-causes-issue [#3074](https://github.com/knapsack-labs/app-monorepo/pull/3074) ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.27.6 (Wed Oct 18 2023)

#### 🐛 Bug Fix

- add token id to field [#3086](https://github.com/knapsack-labs/app-monorepo/pull/3086) ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.27.5 (Wed Oct 18 2023)

### Release Notes

#### Adds search to add block menu ([#3069](https://github.com/knapsack-labs/app-monorepo/pull/3069))

https://github.com/knapsack-labs/app-monorepo/assets/5743332/75a9213e-4cb7-42d0-ab80-d1325fec1609

---

#### 🐛 Bug Fix

- Adds search to add block menu [#3069](https://github.com/knapsack-labs/app-monorepo/pull/3069) ([@GormanDesign](https://github.com/GormanDesign))
- KSP-3668 Resilient nav items [#3065](https://github.com/knapsack-labs/app-monorepo/pull/3065) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 3

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.27.4 (Tue Oct 17 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3798-create-shortcuts-block ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- remove unused trackEvent code [#3071](https://github.com/knapsack-labs/app-monorepo/pull/3071) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.27.3 (Mon Oct 16 2023)

#### 🐛 Bug Fix

- KSP 3650 Resilient demos slots [#3046](https://github.com/knapsack-labs/app-monorepo/pull/3046) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge latest in ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.27.2 (Mon Oct 16 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3724-deleting-a-page-does-not-delete-its-blocks ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.27.1 (Mon Oct 16 2023)

#### 🐛 Bug Fix

- KSP-3648 Resilient Component Spec Block [#3006](https://github.com/knapsack-labs/app-monorepo/pull/3006) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'latest' into feature/ksp-3648-resilient-blocks-component-spec-blocks ([@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### 🏠 Internal

- setup ks-docs workspace for Knapsack Docs [#3066](https://github.com/knapsack-labs/app-monorepo/pull/3066) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 3

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.27.0 (Fri Oct 13 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/create-knapsack ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3816-gitlab-error-cannot-read-properties-of-null-reading-sha ([@freneticpixel](https://github.com/freneticpixel))
- Merge remote-tracking branch 'origin/latest' into feature/create-knapsack ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- CheckFilesExist pagination handling for gitlab cloud provider [#3062](https://github.com/knapsack-labs/app-monorepo/pull/3062) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.26.20 (Thu Oct 12 2023)

#### 🐛 Bug Fix

- update to conditionally render width based on if resizing is on [#3056](https://github.com/knapsack-labs/app-monorepo/pull/3056) ([@mabry1985](https://github.com/mabry1985))
- Merge branch '10-10-consolidate_App_Client_HTTP_types_in_App_Client_API_pkg' into 10-10-better_isLocalDev_logic_in_App_Client_routes ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into 10-10-consolidate_App_Client_HTTP_types_in_App_Client_API_pkg ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3780-iframes-not-resizing-when-window-is-expanded ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.26.19 (Wed Oct 11 2023)

#### 🏠 Internal

- add source maps to @knapsack/app-client-api [#3053](https://github.com/knapsack-labs/app-monorepo/pull/3053) ([@EvanLovely](https://github.com/EvanLovely))
- improve slot form utils [#3052](https://github.com/knapsack-labs/app-monorepo/pull/3052) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.26.18 (Wed Oct 11 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/better-local-reconnect ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- add Slack Webhook Endpoints for Plain [#3042](https://github.com/knapsack-labs/app-monorepo/pull/3042) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.26.17 (Fri Oct 06 2023)

#### 🐛 Bug Fix

- Adds back to top button [#3039](https://github.com/knapsack-labs/app-monorepo/pull/3039) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3683-update-axe-core ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.26.16 (Fri Oct 06 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into renovate/langchain-0.x ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.26.14 (Thu Oct 05 2023)

#### 🐛 Bug Fix

- Updates stage panel trigger for template demos [#3036](https://github.com/knapsack-labs/app-monorepo/pull/3036) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.26.12 (Wed Oct 04 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into hotfix/accessibility-test-updates ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- Remove embed block instructions [#3030](https://github.com/knapsack-labs/app-monorepo/pull/3030) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.26.10 (Wed Oct 04 2023)

#### 🐛 Bug Fix

- Add skip-link for better keyboard navigation experience [#3017](https://github.com/knapsack-labs/app-monorepo/pull/3017) ([@mabry1985](https://github.com/mabry1985) [@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3703-secondary-nav-collapsible-group-improvements ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.26.9 (Tue Oct 03 2023)

#### 🐛 Bug Fix

- Fixes AirTable embed not handling multiple slashes in URL [#3018](https://github.com/knapsack-labs/app-monorepo/pull/3018) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into renovate/typescript ([@greylabel](https://github.com/greylabel))

#### 🏠 Internal

- Update Typescript [#2928](https://github.com/knapsack-labs/app-monorepo/pull/2928) ([@renovate[bot]](https://github.com/renovate[bot]) [@greylabel](https://github.com/greylabel))

#### Authors: 3

- [@renovate[bot]](https://github.com/renovate[bot])
- Grant Gaudet ([@greylabel](https://github.com/greylabel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.26.8 (Tue Oct 03 2023)

#### 🐛 Bug Fix

- table of contents accessibility updates [#3015](https://github.com/knapsack-labs/app-monorepo/pull/3015) ([@mabry1985](https://github.com/mabry1985) [@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3733-aria-hidden-focus-issue-in-anchor-links ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.26.7 (Tue Oct 03 2023)

#### 🐛 Bug Fix

- adds labels for spec tables [#3010](https://github.com/knapsack-labs/app-monorepo/pull/3010) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3745-api-docs-section-throwing-heading-order-error ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.26.6 (Tue Oct 03 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3729-add-unique-identifier-for-aside-landmarks ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.26.5 (Fri Sep 29 2023)

#### 🐛 Bug Fix

- KSP-3649 Resilient blocks pattern template block [#2960](https://github.com/knapsack-labs/app-monorepo/pull/2960) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'latest' into queue-builds-on-latest ([@freneticpixel](https://github.com/freneticpixel))
- Merge latest in ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

#### Authors: 3

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.26.4 (Fri Sep 29 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into fix/ks-sandbox-test ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.26.3 (Thu Sep 28 2023)

#### 🐛 Bug Fix

- Template stage spacing updates [#3004](https://github.com/knapsack-labs/app-monorepo/pull/3004) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.26.2 (Thu Sep 28 2023)

#### 🐛 Bug Fix

- Migration uses correct site title [#2999](https://github.com/knapsack-labs/app-monorepo/pull/2999) ([@GormanDesign](https://github.com/GormanDesign))
- Improve section last path management [#3002](https://github.com/knapsack-labs/app-monorepo/pull/3002) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3736-template-thumbnails-allow-keyboard-navigation-in-iframe ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3728-update-cypress-axe-config-to-add-rules-for-testing ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.26.1 (Thu Sep 28 2023)

#### 🐛 Bug Fix

- Feature/ksp 3686 secondary nav nested interactive errors [#2962](https://github.com/knapsack-labs/app-monorepo/pull/2962) ([@mabry1985](https://github.com/mabry1985) [@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3686-secondary-nav-nested-interactive-errors ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.26.0 (Thu Sep 28 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3723-when-components-increase-in-size-dynamically-ensure-stage ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3723-when-components-increase-in-size-dynamically-ensure-stage ([@greylabel](https://github.com/greylabel))
- Merge remote-tracking branch 'origin/feature/ksp-3709-knapsack-cache-can-be-45-gb' into feature/ksp-3723-when-components-increase-in-size-dynamically-ensure-stage ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 3

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Grant Gaudet ([@greylabel](https://github.com/greylabel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.25.4 (Tue Sep 26 2023)

#### 🐛 Bug Fix

- Replace spec tab infer toggle with Toby toggle [#2991](https://github.com/knapsack-labs/app-monorepo/pull/2991) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.25.3 (Tue Sep 26 2023)

### Release Notes

#### Adds Pages settings for Table of Contents ([#2979](https://github.com/knapsack-labs/app-monorepo/pull/2979))

Adds more fine grain control for Table of Contents
- Enables setting the default for all pages to hidden
- Enables excluding heading levels

<img width="1507" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/94e88e38-56ff-4229-ac31-fc7ec8298d22">

---

#### 🐛 Bug Fix

- Adds Pages settings for Table of Contents [#2979](https://github.com/knapsack-labs/app-monorepo/pull/2979) ([@GormanDesign](https://github.com/GormanDesign))
- Prevent anchor tags from appearing in table of contents [#2989](https://github.com/knapsack-labs/app-monorepo/pull/2989) ([@GormanDesign](https://github.com/GormanDesign))
- Fix content block actions not being visible on keyboard focus [#2987](https://github.com/knapsack-labs/app-monorepo/pull/2987) ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Prevents destructuring error in metric summarization when block doesn't have a block type [#2990](https://github.com/knapsack-labs/app-monorepo/pull/2990) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.25.1 (Fri Sep 22 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3717-remove-can-edit-override-from-cypress ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- remove forced can edit is true guard for cypress [#2977](https://github.com/knapsack-labs/app-monorepo/pull/2977) ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.25.0 (Fri Sep 22 2023)

### Release Notes

#### add infer spec toggle to add temple form KSP-3700 ([#2961](https://github.com/knapsack-labs/app-monorepo/pull/2961))

When adding a Template to a Pattern, the option for if the Spec is Inferred initially can be set up front. 

![CleanShot 2023-09-20 at 11 06 53](https://github.com/knapsack-labs/app-monorepo/assets/569699/3b59fc20-e3e3-4b10-9d4b-eb6006fd5a62)

---

#### 🚀 Enhancement

- improve CLI speed by avoiding db.yml prettier formatting KSP-3713 [#2980](https://github.com/knapsack-labs/app-monorepo/pull/2980) ([@illepic](https://github.com/illepic))
- add infer spec toggle to add temple form KSP-3700 [#2961](https://github.com/knapsack-labs/app-monorepo/pull/2961) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- Error toasts require user dismissal [#2973](https://github.com/knapsack-labs/app-monorepo/pull/2973) ([@GormanDesign](https://github.com/GormanDesign))
- Enable hiding knapsack branding [#2972](https://github.com/knapsack-labs/app-monorepo/pull/2972) ([@GormanDesign](https://github.com/GormanDesign))
- add aria labels for nav [#2978](https://github.com/knapsack-labs/app-monorepo/pull/2978) ([@mabry1985](https://github.com/mabry1985))
- Merge remote-tracking branch 'origin/v3' into feature/update-v4-from-v3 ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/update-v4-from-v3 ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- update v4 from v3 [#2976](https://github.com/knapsack-labs/app-monorepo/pull/2976) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 4

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.24.11 (Fri Sep 22 2023)

#### 🐛 Bug Fix

- Prevent markdown block from announcing as button [#2964](https://github.com/knapsack-labs/app-monorepo/pull/2964) ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Fixes home link default fallback styling [#2974](https://github.com/knapsack-labs/app-monorepo/pull/2974) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.24.10 (Thu Sep 21 2023)

#### 🐛 Bug Fix

- setup Sentry for App API & App Client [#2966](https://github.com/knapsack-labs/app-monorepo/pull/2966) ([@EvanLovely](https://github.com/EvanLovely) [@freneticpixel](https://github.com/freneticpixel))
- Merge branch 'latest' into feature/moar-sentry ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/moar-sentry ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.24.9 (Thu Sep 21 2023)

#### 🐛 Bug Fix

- adds focus state to custom toggle inputs [#2967](https://github.com/knapsack-labs/app-monorepo/pull/2967) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3599-add-inline-changelog-to-ui ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.24.7 (Thu Sep 21 2023)

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/v3' into feature/update-v4-from-v3 ([@EvanLovely](https://github.com/EvanLovely))
- Fixes icon blocking interaction on status item [#2959](https://github.com/knapsack-labs/app-monorepo/pull/2959) ([@GormanDesign](https://github.com/GormanDesign))
- Merge remote-tracking branch 'origin/latest' into feature/update-v4-from-v3 ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- update v4 from v3 (Sentry implementation) [#2958](https://github.com/knapsack-labs/app-monorepo/pull/2958) ([@illepic](https://github.com/illepic) [@EvanLovely](https://github.com/EvanLovely))

#### Authors: 3

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.24.4 (Tue Sep 19 2023)

#### 🐛 Bug Fix

- Improve focus states [#2954](https://github.com/knapsack-labs/app-monorepo/pull/2954) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3618-update-panel-keyboard-navigation ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.24.3 (Tue Sep 19 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into footer-link-aria-label ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.24.0 (Mon Sep 18 2023)

### Release Notes

#### Create Callout Block ([#2937](https://github.com/knapsack-labs/app-monorepo/pull/2937))

<img width="1108" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/2a45b277-2a09-4adb-932f-2e371db911a2">

---

#### 🚀 Enhancement

- Create Callout Block [#2937](https://github.com/knapsack-labs/app-monorepo/pull/2937) ([@GormanDesign](https://github.com/GormanDesign))

#### 🐛 Bug Fix

- Fixes scroll restoration when navigating [#2940](https://github.com/knapsack-labs/app-monorepo/pull/2940) ([@GormanDesign](https://github.com/GormanDesign))
- Fixes font family not applying to secondary nav [#2942](https://github.com/knapsack-labs/app-monorepo/pull/2942) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.23.4 (Fri Sep 15 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3663-nav-items-li-items-shouldnt-have-rolebutton ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.23.3 (Fri Sep 15 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into renovate/langchain-0.x ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.23.2 (Thu Sep 14 2023)

#### 🐛 Bug Fix

- Table of contents uses body font family [#2934](https://github.com/knapsack-labs/app-monorepo/pull/2934) ([@GormanDesign](https://github.com/GormanDesign))
- add inert property to panel aside [#2932](https://github.com/knapsack-labs/app-monorepo/pull/2932) ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.23.1 (Thu Sep 14 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into renovate/langchain-0.x ([@greylabel](https://github.com/greylabel))
- Merge branch 'latest' into renovate/langchain-0.x ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Grant Gaudet ([@greylabel](https://github.com/greylabel))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.22.14 (Tue Sep 12 2023)

#### 🐛 Bug Fix

- KSP - 3620 Fixed Discard Changes [#2921](https://github.com/knapsack-labs/app-monorepo/pull/2921) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.22.12 (Fri Sep 08 2023)

#### 🐛 Bug Fix

- Add ability to reset appearance elements on an individual basis [#2877](https://github.com/knapsack-labs/app-monorepo/pull/2877) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.22.11 (Fri Sep 08 2023)

#### 🐛 Bug Fix

- Fixes column gap for block collection [#2919](https://github.com/knapsack-labs/app-monorepo/pull/2919) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.22.10 (Fri Sep 08 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3570-determine-method-for-generating-preview ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'settings-ux-improvements' into feature/ksp-3570-determine-method-for-generating-preview ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'settings-ux-improvements' into feature/ksp-3570-determine-method-for-generating-preview ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.22.9 (Fri Sep 08 2023)

#### 🐛 Bug Fix

- KSP-3303 Replaced the rename token logic to not include default type [#2901](https://github.com/knapsack-labs/app-monorepo/pull/2901) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'latest' into feature/ksp-3303-ensure-type-is-not-in-token-json-output-after-rename-group ([@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.22.7 (Thu Sep 07 2023)

#### 🏠 Internal

- setup Plain API endpoints [#2912](https://github.com/knapsack-labs/app-monorepo/pull/2912) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.22.6 (Wed Sep 06 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3454-sort-design-token-names-with-numeric-scale-in-ascending ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.22.3 (Tue Sep 05 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3612-if-ui-is-open-during-deploy-chunk-errors-crash-app ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- KSP-3612: Prevent chunk errors from redirecting to index.html [#2900](https://github.com/knapsack-labs/app-monorepo/pull/2900) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.22.2 (Fri Sep 01 2023)

#### 🐛 Bug Fix

- Clicking a page nav item with children toggles collapsed state when active [#2903](https://github.com/knapsack-labs/app-monorepo/pull/2903) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.22.0 (Fri Sep 01 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into settings-ux-improvements ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3446-color-field-does-not-reset-on-discard-changes ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into settings-ux-improvements ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into improve-settings-disabled-states ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.21.11 (Tue Aug 29 2023)

#### 🐛 Bug Fix

- KSP - 3511 - Added function to reorganize sets and respect Hierarchy [#2881](https://github.com/knapsack-labs/app-monorepo/pull/2881) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'latest' into feature/ksp-3546-debug-azure-webhook ([@freneticpixel](https://github.com/freneticpixel))
- Merge branch 'latest' into feature/ksp-3511-when-importing-tokens-studio-sets-respect-set-hierarchy ([@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 3

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.21.10 (Tue Aug 29 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into mabry1985-patch-1 ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- add Number with Unit Toby field KSP-3574 [#2873](https://github.com/knapsack-labs/app-monorepo/pull/2873) ([@EvanLovely](https://github.com/EvanLovely) [@GormanDesign](https://github.com/GormanDesign))
- Remove redundant getTypeFromPath util [#2882](https://github.com/knapsack-labs/app-monorepo/pull/2882) ([@mabry1985](https://github.com/mabry1985))
- Add cypress tests for all nav menu actions [#2886](https://github.com/knapsack-labs/app-monorepo/pull/2886) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 3

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.21.4 (Wed Aug 23 2023)

#### 🐛 Bug Fix

- Add Convert to Pattern to NavMenu [#2858](https://github.com/knapsack-labs/app-monorepo/pull/2858) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3547-add-convert-to-pattern-option-to-nav-item-menu ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.21.3 (Wed Aug 23 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3493-add-ability-to-move-menu-items-from-context-menu ([@mabry1985](https://github.com/mabry1985))
- merge latest ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- error when Tokens Studio "Expand Shadows" option was selected KSP-3540 [#2864](https://github.com/knapsack-labs/app-monorepo/pull/2864) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.21.2 (Wed Aug 23 2023)

#### 🏠 Internal

- Update Typescript [#2856](https://github.com/knapsack-labs/app-monorepo/pull/2856) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 1

- [@renovate[bot]](https://github.com/renovate[bot])

---

# v4.21.1 (Tue Aug 22 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3522-bug-after-editing-token-you-cannot-hit-back-button ([@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'feature/ksp-3522-bug-after-editing-token-you-cannot-hit-back-button' of github.com:knapsack-cloud-internal/app-monorepo into feature/ksp-3522-bug-after-editing-token-you-cannot-hit-back-button ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.20.0 (Tue Aug 22 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3496-add-drag-functionality-to-primary-navigation-menu-items ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3496-add-drag-functionality-to-primary-navigation-menu-items ([@mabry1985](https://github.com/mabry1985))

#### Authors: 2

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.19.8 (Mon Aug 21 2023)

#### 🐛 Bug Fix

- during update script, handle null subPages KSP-3542 [#2853](https://github.com/knapsack-labs/app-monorepo/pull/2853) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.19.7 (Fri Aug 18 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3495-add-functionality-to-convert-page-to-pattern ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.19.5 (Thu Aug 17 2023)

#### 🏠 Internal

- KSP-3546: Fixing Azure webhook structure [#2837](https://github.com/knapsack-labs/app-monorepo/pull/2837) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.19.3 (Thu Aug 17 2023)

#### 🏠 Internal

- Updated logos on auth0 emails [#2826](https://github.com/knapsack-labs/app-monorepo/pull/2826) ([@GormanDesign](https://github.com/GormanDesign))
- Add mandrill emails templates [#2817](https://github.com/knapsack-labs/app-monorepo/pull/2817) ([@GormanDesign](https://github.com/GormanDesign))
- refactor: update vercel config [#2831](https://github.com/knapsack-labs/app-monorepo/pull/2831) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.19.2 (Tue Aug 15 2023)

#### 🐛 Bug Fix

- Upgrade auto and lerna to latest [#2784](https://github.com/knapsack-labs/app-monorepo/pull/2784) ([@freneticpixel](https://github.com/freneticpixel) [@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3508-update-views ([@freneticpixel](https://github.com/freneticpixel))
- Merge branch 'latest' into upgrade-auto-lerna ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- Updates to aggregate design token(s) block types [#2823](https://github.com/knapsack-labs/app-monorepo/pull/2823) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.19.1 (Tue Aug 15 2023)

#### 🐛 Bug Fix

- KSP-3533: warn about slots not migrating [#2830](https://github.com/knapsack-labs/app-monorepo/pull/2830) ([@illepic](https://github.com/illepic))
- KSP-3314 Refactored delete token logic to delete composite tokens [#2827](https://github.com/knapsack-labs/app-monorepo/pull/2827) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge latest in ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

#### Authors: 3

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Christopher Bloom ([@illepic](https://github.com/illepic))
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.19.0 (Tue Aug 15 2023)

#### 🐛 Bug Fix

- Merge from latest ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into renovate/turbo-monorepo ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- improve start command [#2819](https://github.com/knapsack-labs/app-monorepo/pull/2819) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 3

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.18.0 (Fri Aug 11 2023)

#### 🚀 Enhancement

- Add workspace favicon setting [#2800](https://github.com/knapsack-labs/app-monorepo/pull/2800) ([@GormanDesign](https://github.com/GormanDesign))

#### 🐛 Bug Fix

- Merge branch 'latest' into add-favicon-setting ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Toby homepage updates [#2815](https://github.com/knapsack-labs/app-monorepo/pull/2815) ([@knapsack-cloud[bot]](https://github.com/knapsack-cloud[bot]) [@GormanDesign](https://github.com/GormanDesign))

#### Authors: 2

- [@knapsack-cloud[bot]](https://github.com/knapsack-cloud[bot])
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.17.0 (Fri Aug 11 2023)

#### 🚀 Enhancement

- Instantly Publish changes instead of having to wait ~15 minutes 🚀 [#2807](https://github.com/knapsack-labs/app-monorepo/pull/2807) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3508-update-views ([@freneticpixel](https://github.com/freneticpixel))
- Merge remote-tracking branch 'origin/latest' into feature/setup-insta-publish ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- setup siteInstances publishing cron job [#2810](https://github.com/knapsack-labs/app-monorepo/pull/2810) ([@EvanLovely](https://github.com/EvanLovely))
- break up cron jobs [#2814](https://github.com/knapsack-labs/app-monorepo/pull/2814) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.16.4 (Fri Aug 11 2023)

### Release Notes

#### Adds setting option to hide the workspace name in the nav bar ([#2791](https://github.com/knapsack-labs/app-monorepo/pull/2791))

#### New workspace setting to hide the text next to your logo when you don't want it.
A logo must be present to hide your workspace name. This ensures that there is always a "home" link available in your navigation

| Default | Hide Name in Navigation On |
|--------|--------|
| ![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/af81e39a-4385-4893-8649-dcc01cb14be9) | ![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/7c6542e4-46b1-4f09-a720-b7082e8b7acc) | 

**Settings Page:**
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/7edeb3b3-8e26-4c1a-8ec1-f8cd44d394c8)

#### Fix empty gap when page header is full height in view mode ([#2793](https://github.com/knapsack-labs/app-monorepo/pull/2793))

<img width="1511" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/1a097739-9f9e-4fdb-8908-92e0c5829e87">

- Page footer now lays on top of full height header in view mode
- Color of footer items will change based on page header background color

---

#### 🐛 Bug Fix

- Adds setting option to hide the workspace name in the nav bar [#2791](https://github.com/knapsack-labs/app-monorepo/pull/2791) ([@GormanDesign](https://github.com/GormanDesign))
- Fix empty gap when page header is full height in view mode [#2793](https://github.com/knapsack-labs/app-monorepo/pull/2793) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into add-hide-title-setting ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Adds iron mountain pat [#2813](https://github.com/knapsack-labs/app-monorepo/pull/2813) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.16.2 (Fri Aug 11 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/update-v4-w-v3-2 ([@freneticpixel](https://github.com/freneticpixel))
- Merge remote-tracking branch 'origin/latest' into feature/insta-publish ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/feature/cleanup-load-site' into feature/insta-publish ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.16.1 (Wed Aug 09 2023)

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/latest' into feature/update-v4-w-v3 ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into EvanLovely-patch-18 ([@rockymountainhigh1943](https://github.com/rockymountainhigh1943))

#### 🏠 Internal

- when deleting branches change status instead of actually deleting [#2796](https://github.com/knapsack-labs/app-monorepo/pull/2796) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jake Love ([@rockymountainhigh1943](https://github.com/rockymountainhigh1943))

---

# v4.15.0 (Tue Aug 08 2023)

### Release Notes

#### add support for importing Tokens Studio Sets ([#2785](https://github.com/knapsack-labs/app-monorepo/pull/2785))

- This changes our Token Studio import logic to do this when it comes across a set:
  - If ref can be resolved, leave it as-is
  - Loop through all Sets (in reverse order) and see if the token can be found in them. If found change ref from something like `{color.blue}` to `{core.color.blue}` (if it was found in the "core" set). Note that this does work in tokens that contain multiple references, like `{dimension.xs} * {dimension.scale}`

---

#### 🚀 Enhancement

- add support for importing Tokens Studio Sets [#2785](https://github.com/knapsack-labs/app-monorepo/pull/2785) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.14.0 (Tue Aug 08 2023)

### Release Notes

#### Dynamic Table of Contents ([#2710](https://github.com/knapsack-labs/app-monorepo/pull/2710))

**Table of Contents Appearance:**
<img width="1510" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/84334adf-edd7-4036-b7a0-807caafff541">

**Option to Hide Table of Contents:**
<img width="358" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/19493332-44a9-450e-bad8-4c537f0f354e">

---

#### 🚀 Enhancement

- Dynamic Table of Contents [#2710](https://github.com/knapsack-labs/app-monorepo/pull/2710) ([@EvanLovely](https://github.com/EvanLovely) [@GormanDesign](https://github.com/GormanDesign))

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/toc-poc ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/toc-poc ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.13.3 (Sat Aug 05 2023)

### Release Notes

#### allow Tokens Studio imports to have multiple refs ([#2778](https://github.com/knapsack-labs/app-monorepo/pull/2778))

Allows import of token values like `rgba({text.primary}, {action.disabledOpacity})`

---

#### 🐛 Bug Fix

- allow Tokens Studio imports to have multiple refs [#2778](https://github.com/knapsack-labs/app-monorepo/pull/2778) ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- Token Studio import of multiple shadows turns into string for now KSP-3507 [#2777](https://github.com/knapsack-labs/app-monorepo/pull/2777) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.13.2 (Fri Aug 04 2023)

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/latest' into feature/token-quick-fixes ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- setup nested slot editing [#2753](https://github.com/knapsack-labs/app-monorepo/pull/2753) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.13.1 (Thu Aug 03 2023)

#### 🐛 Bug Fix

- KSP  - 3481 Expand dimension units to include em and % [#2771](https://github.com/knapsack-labs/app-monorepo/pull/2771) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EvanLovely](https://github.com/EvanLovely) [@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### 🏠 Internal

- create start command that spins up UI, API, and Workspace [#2772](https://github.com/knapsack-labs/app-monorepo/pull/2772) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 3

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.13.0 (Thu Aug 03 2023)

#### 🚀 Enhancement

- improved Tokens Studio import KSP-3500 [#2763](https://github.com/knapsack-labs/app-monorepo/pull/2763) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/latest' into feature/improved-tokens-studio-import ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.12.0 (Thu Aug 03 2023)

### Release Notes

#### Adds ability to quickly add subpage KSP-3494 ([#2752](https://github.com/knapsack-labs/app-monorepo/pull/2752))

<img width="328" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/609cefb8-dd57-4dad-adbb-74861954d799">

![CleanShot 2023-08-03 at 10 39 01](https://github.com/knapsack-labs/app-monorepo/assets/569699/bc8f6115-6764-44dd-b9c2-939f37c5e2c9)

- Adds ability to add a child page directly from a nav item
- Renames "Add Subpage" to "Add Page" in sidebar footer to differentiate the two actions

---

#### 🚀 Enhancement

- Adds ability to quickly add subpage KSP-3494 [#2752](https://github.com/knapsack-labs/app-monorepo/pull/2752) ([@GormanDesign](https://github.com/GormanDesign))

#### 🐛 Bug Fix

- Merge branch 'latest' into quick-add-subpage ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Increasing timeout on commit changes event to 60s [#2767](https://github.com/knapsack-labs/app-monorepo/pull/2767) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.11.0 (Wed Aug 02 2023)

#### 🚀 Enhancement

- KSP-3311: cubicBezier and transition in UI [#2712](https://github.com/knapsack-labs/app-monorepo/pull/2712) ([@illepic](https://github.com/illepic) [@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- KSP-3423 All Tokens Page [#2765](https://github.com/knapsack-labs/app-monorepo/pull/2765) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez) [@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into GormanDesign-patch-1 ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3423-tokens-admin-add-all-tokens-view ([@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'latest' into feature/ksp-3311-tokens-restore-cubicbezier-transition-token-types-in-ui ([@illepic](https://github.com/illepic))
- Merge branch 'latest' of github.com:knapsack-cloud-internal/app-monorepo into feature/ksp-3423-tokens-admin-add-all-tokens-view ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

#### Authors: 5

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Christopher Bloom ([@illepic](https://github.com/illepic))
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.10.7 (Tue Aug 01 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3468-fix-github-action-warnings ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.10.6 (Tue Aug 01 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3463-fix-bug-export-of-design-tokens-for-figma-does-not-include ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into tokens-name-display-format-setting ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- KSP-3480: Set auth0 cookie domain to root knapsack.cloud [#2751](https://github.com/knapsack-labs/app-monorepo/pull/2751) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 3

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.10.5 (Mon Jul 31 2023)

#### 🐛 Bug Fix

- Add resolved value tooltip to token admin value column [#2744](https://github.com/knapsack-labs/app-monorepo/pull/2744) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.10.4 (Fri Jul 28 2023)

#### 🐛 Bug Fix

- slots form - fix bug w multiple items, ensure it can be reset [#2746](https://github.com/knapsack-labs/app-monorepo/pull/2746) ([@EvanLovely](https://github.com/EvanLovely))
- Fixes issue where KS would blow up if appearance form was submitted [#2748](https://github.com/knapsack-labs/app-monorepo/pull/2748) ([@mabry1985](https://github.com/mabry1985) [@GormanDesign](https://github.com/GormanDesign))
- Merge remote-tracking branch 'origin/latest' into feature/slots-form-fix ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- ks-sandbox - add more card and grid demos [#2750](https://github.com/knapsack-labs/app-monorepo/pull/2750) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 3

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.10.3 (Fri Jul 28 2023)

#### 🐛 Bug Fix

- KSP-3400 Studio to Spec Token References [#2729](https://github.com/knapsack-labs/app-monorepo/pull/2729) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.10.2 (Fri Jul 28 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3427-add-mtls-to-gitlab-rest-provider ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- Adding MTLS support to gitlab rest provider [#2695](https://github.com/knapsack-labs/app-monorepo/pull/2695) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.10.1 (Thu Jul 27 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3467-error-in-setting-text-color-within-workspace ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.10.0 (Tue Jul 25 2023)

#### 🚀 Enhancement

- Bumping version to fix auto shipit publishing [#2735](https://github.com/knapsack-labs/app-monorepo/pull/2735) ([@freneticpixel](https://github.com/freneticpixel))

#### 🐛 Bug Fix

- bumping version to fix auto shipit publishing ([@freneticpixel](https://github.com/freneticpixel))
- Merge branch 'latest' into renovate/pnpm-8.x ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.9.2 (Fri Jul 21 2023)

#### 🐛 Bug Fix

- KSP 3447 - Removed inherit token type option [#2728](https://github.com/knapsack-labs/app-monorepo/pull/2728) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.9.1 (Thu Jul 20 2023)

### Release Notes

#### improved slots form UI ([#2665](https://github.com/knapsack-labs/app-monorepo/pull/2665))

New Slots Form with nicer UI

<img width="371" alt="CleanShot 2023-07-18 at 16 33 59@2x" src="https://github.com/knapsack-labs/app-monorepo/assets/569699/e0b312b4-8bb4-4a64-bbac-3176c4b68183">

---

#### 🐛 Bug Fix

- improved slots form UI [#2665](https://github.com/knapsack-labs/app-monorepo/pull/2665) ([@EvanLovely](https://github.com/EvanLovely) [@GormanDesign](https://github.com/GormanDesign))
- Merge remote-tracking branch 'origin/slot-form-ui' into feature/slot-form-refactor ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/feature/update-react-hook-form' into feature/slot-form-refactor ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/feature/slot-form-refactor' into slot-form-ui ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/slot-form-refactor ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/slot-form-refactor ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- toby: select - removes deprecated `selected` <option> attribute [#2723](https://github.com/knapsack-labs/app-monorepo/pull/2723) ([@EvanLovely](https://github.com/EvanLovely))
- update react-hook-form, fix types regression [#2724](https://github.com/knapsack-labs/app-monorepo/pull/2724) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.9.0 (Wed Jul 19 2023)

#### 🐛 Bug Fix

- KSP-3383 Mapped studio dimension, spacing, lineHeights, color, fontSize to spec types [#2650](https://github.com/knapsack-labs/app-monorepo/pull/2650) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez) [@illepic](https://github.com/illepic) [@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'feature/ksp-3383-map-spacing-dimension-studio-types-to-dimension-spec-types' of github.com:knapsack-cloud-internal/app-monorepo into feature/ksp-3383-map-spacing-dimension-studio-types-to-dimension-spec-types ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Merge branch 'latest' into feature/ksp-3383-map-spacing-dimension-studio-types-to-dimension-spec-types ([@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'latest' into feature/ksp-3386-map-shadow-studio-type-to-shadow-spec-type ([@illepic](https://github.com/illepic))
- Merge branch 'latest' of github.com:knapsack-cloud-internal/app-monorepo into feature/ksp-3383-map-spacing-dimension-studio-types-to-dimension-spec-types ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Merge branch 'latest' into feature/ksp-3383-map-spacing-dimension-studio-types-to-dimension-spec-types ([@illepic](https://github.com/illepic))
- Merge latest in ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Merge branch 'latest' of github.com:knapsack-cloud-internal/app-monorepo into feature/ksp-3384-map-opacitylineheightnumbers-studio-types-to-spec-number ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

#### Authors: 4

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Christopher Bloom ([@illepic](https://github.com/illepic))
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.8.3 (Tue Jul 18 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3438-cypress-tests-to-edit-save-each-token ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.8.2 (Tue Jul 18 2023)

#### 🐛 Bug Fix

- Allow users to upload files for token import [#2711](https://github.com/knapsack-labs/app-monorepo/pull/2711) ([@mabry1985](https://github.com/mabry1985))
- Bump version to: v4.8.0 \[skip ci\] ([@KnapsackBot](https://github.com/KnapsackBot))
- Merge branch 'latest' into feature/ksp-3353-token-import-field-should-also-have-ability-to-upload-json ([@mabry1985](https://github.com/mabry1985))

#### 🏠 Internal

- Feature/ksp 3403 add components to ks sandbox [#2717](https://github.com/knapsack-labs/app-monorepo/pull/2717) ([@mabry1985](https://github.com/mabry1985) [@KnapsackBot](https://github.com/KnapsackBot))
- Create Collapse and Accordion components [#2719](https://github.com/knapsack-labs/app-monorepo/pull/2719) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 3

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- KnapsackBot ([@KnapsackBot](https://github.com/KnapsackBot))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.8.1 (Mon Jul 17 2023)

### Release Notes

#### v4 update script detects if Markdown Block has content that cannot convert to Text Editor - then will skip KSP-3339 KSP-3413 ([#2705](https://github.com/knapsack-labs/app-monorepo/pull/2705))

When updating to v4 via `npx @knapsack/update@latest` Markdown blocks will attempt to convert to Text Editor blocks. In certain scenarios they will now be left as Markdown blocks:

- Links that contain Images
- Tables

---

#### 🐛 Bug Fix

- v4 update script detects if Markdown Block has content that cannot convert to Text Editor - then will skip KSP-3339 KSP-3413 [#2705](https://github.com/knapsack-labs/app-monorepo/pull/2705) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.6.0 (Tue Jul 11 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into v4-toby-doc-updates ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.5.1 (Mon Jul 10 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into node-18-pruned-lock ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- App-api and Toby docker images now use node 18 and frozen lock file [#2697](https://github.com/knapsack-labs/app-monorepo/pull/2697) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.5.0 (Thu Jul 06 2023)

### Release Notes

#### Knapsack Atlas defaults to Chat Bot ([#2627](https://github.com/knapsack-labs/app-monorepo/pull/2627))

https://github.com/knapsack-labs/app-monorepo/assets/5743332/6d681548-f00a-49b2-8e7e-ef1f6acf43c8

- Knapsack Atlas defaults to the AI Chat Bot
- AtlasTrigger (renamed from FloatingHelper) toggles Atlas instead of opening a menu
- Previous FloatingHelper menu items moved into Atlas
<img width="717" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/56461e77-6dd3-45be-936c-3d7bd6a8bac5">

- Knapsack versions moved to "Knapsack" menu in app bar
<img width="242" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/0a0bd4d5-8f80-46c3-94a9-9fe68eda3da0">

---

#### 🚀 Enhancement

- DocBot: Makes DocBot default Atlas panel, Adds streaming response, updates UX, and updates language model response [#2683](https://github.com/knapsack-labs/app-monorepo/pull/2683) ([@mabry1985](https://github.com/mabry1985) [@EvanLovely](https://github.com/EvanLovely) [@renovate[bot]](https://github.com/renovate[bot]) [@GormanDesign](https://github.com/GormanDesign) [@illepic](https://github.com/illepic))

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3417-docbot-ux-update-and-refactor ([@mabry1985](https://github.com/mabry1985))
- merge latest ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3417-docbot-ux-update-and-refactor ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-3272-docbot-related-questions ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3272-docbot-related-questions [#2525](https://github.com/knapsack-labs/app-monorepo/pull/2525) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3272-docbot-related-questions ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'feature/ksp-3272-docbot-related-questions' into feature/vercel-ai-sdk ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/vercel-ai-sdk ([@mabry1985](https://github.com/mabry1985))
- Knapsack Atlas defaults to Chat Bot [#2627](https://github.com/knapsack-labs/app-monorepo/pull/2627) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3272-docbot-related-questions ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 5

- [@renovate[bot]](https://github.com/renovate[bot])
- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.11 (Thu Jul 06 2023)

### Release Notes

#### Add ability to set font family across all items ([#2693](https://github.com/knapsack-labs/app-monorepo/pull/2693))

Adds a "Use For All Elements" action to the custom fonts form that sets the Font Family to every appearance option.
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/8ea206e8-ec2c-48d1-857a-5d128100f4bf)

---

#### 🐛 Bug Fix

- Add ability to set font family across all items [#2693](https://github.com/knapsack-labs/app-monorepo/pull/2693) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.10 (Thu Jul 06 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3126-checkboxes-triggered-for-all-uploaded-files-when-copied ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- Fixes Attachments block copy button state issues [#2653](https://github.com/knapsack-labs/app-monorepo/pull/2653) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.9 (Wed Jul 05 2023)

#### 🏠 Internal

- Enable ESLint rules in error mode to check for unused imports [#2690](https://github.com/knapsack-labs/app-monorepo/pull/2690) ([@greylabel](https://github.com/greylabel))

#### Authors: 1

- Grant Gaudet ([@greylabel](https://github.com/greylabel))

---

# v4.4.8 (Mon Jul 03 2023)

### Release Notes

#### Component Demo columns update based on block size KSP-2530 KSP-3409 ([#2673](https://github.com/knapsack-labs/app-monorepo/pull/2673))

Component Demo columns respond to the size of the block they are in. 
- Full Width: 1 column
- Large: 1 or 2 columns
- Medium: 1, 2, or 3 columns
- Small: 1, 2 or 4 columns

#### Adds empty state to color fields in theme settings KSP-3418 KSP-3241 ([#2686](https://github.com/knapsack-labs/app-monorepo/pull/2686))

- Adds empty state to Color Picker fields to prevent confusion of unset system options
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/3aed25d4-b74c-4b11-b484-0ec029f5b52f)
- Adds text input for HEX format to Color Picker popover
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/3466e780-145e-4bb0-9877-cb20ec1ca556)

---

#### 🐛 Bug Fix

- Component Demo columns update based on block size KSP-2530 KSP-3409 [#2673](https://github.com/knapsack-labs/app-monorepo/pull/2673) ([@GormanDesign](https://github.com/GormanDesign))
- Adds empty state to color fields in theme settings KSP-3418 KSP-3241 [#2686](https://github.com/knapsack-labs/app-monorepo/pull/2686) ([@GormanDesign](https://github.com/GormanDesign))
- Fixes token block values not wrapping when necessary [#2674](https://github.com/knapsack-labs/app-monorepo/pull/2674) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.7 (Fri Jun 30 2023)

#### 🐛 Bug Fix

- Primary nav fallback colors match site name fallbacks [#2687](https://github.com/knapsack-labs/app-monorepo/pull/2687) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.3 (Wed Jun 28 2023)

#### 🏠 Internal

- Add failing tests for additional spec types [#2676](https://github.com/knapsack-labs/app-monorepo/pull/2676) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.2 (Wed Jun 28 2023)

#### 🏠 Internal

- Adds additional Studio to Spec tests [#2667](https://github.com/knapsack-labs/app-monorepo/pull/2667) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.4.0 (Fri Jun 23 2023)

### Release Notes

#### Fixes link formatting in text editor ([#2647](https://github.com/knapsack-labs/app-monorepo/pull/2647))

Fixes the issue where after adding a link additional text would get appended to the link itself.

#### Private Pages ([#2550](https://github.com/knapsack-labs/app-monorepo/pull/2550))

- Adds ability to mark pages as private
- Private pages are denoted with a lock icon on the pages navigation item.
- Private pages remain in the navigation, but are only accessible to the set user role.
- Marking a page as private prevents lower roles from accessing the page itself and any of it's child pages.
- A private page can also be marked as hidden if users don't want the nav item to appear on latest.


**Private Page Controls**
![image](https://github.com/knapsack-labs/app-monorepo/assets/5743332/2fabb1a0-c51b-43c7-aca2-5dabb0b0a23b)


**Private Page with Access**
<img width="1624" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/00b49a1d-2f87-4767-822b-9ada62267255">

**Private Page without Access**
<img width="1624" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/2ea8fadd-076d-4460-9ade-3752932b561e">

---

#### 🚀 Enhancement

- Private Pages [#2550](https://github.com/knapsack-labs/app-monorepo/pull/2550) ([@GormanDesign](https://github.com/GormanDesign) [@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- Switching branches preserves tab context [#2648](https://github.com/knapsack-labs/app-monorepo/pull/2648) ([@GormanDesign](https://github.com/GormanDesign))
- Fixes link formatting in text editor [#2647](https://github.com/knapsack-labs/app-monorepo/pull/2647) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3300-add-ability-to-mark-pages-as-private ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into feature/ksp-3300-add-ability-to-mark-pages-as-private ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.3.3 (Fri Jun 23 2023)

#### 🐛 Bug Fix

- Fixes ability to add and update workspace logo in settings [#2662](https://github.com/knapsack-labs/app-monorepo/pull/2662) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.3.2 (Fri Jun 23 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into azure-provider-bug-fixes-latest ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- fix migration of UiConfig [#2661](https://github.com/knapsack-labs/app-monorepo/pull/2661) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.3.0 (Thu Jun 22 2023)

### Release Notes

#### Enables adding images via URL to Image Blocks ([#2642](https://github.com/knapsack-labs/app-monorepo/pull/2642))

https://github.com/knapsack-labs/app-monorepo/assets/5743332/957ba018-3e5b-4412-8203-92f26ab1fd3a

---

#### 🚀 Enhancement

- Enables adding images via URL to Image Blocks [#2642](https://github.com/knapsack-labs/app-monorepo/pull/2642) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.7 (Thu Jun 22 2023)

#### 🐛 Bug Fix

- Token reference select handles empty options [#2654](https://github.com/knapsack-labs/app-monorepo/pull/2654) ([@GormanDesign](https://github.com/GormanDesign))
- Merge branch 'latest' into fix/record-site-metrics-latest ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.6 (Wed Jun 21 2023)

#### 🐛 Bug Fix

- fix unable to get local issuer certificate issue [#2651](https://github.com/knapsack-labs/app-monorepo/pull/2651) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.2.5 (Wed Jun 21 2023)

### Release Notes

#### Toasts message handles markdown ([#2646](https://github.com/knapsack-labs/app-monorepo/pull/2646))

Toby toasts are now able to parse markdown in the provided message. 
<img width="383" alt="image" src="https://github.com/knapsack-labs/app-monorepo/assets/5743332/46417c64-7ccc-43d3-969c-f161e31ca898">

---

#### 🐛 Bug Fix

- Hide missing block error when user cannot edit [#2649](https://github.com/knapsack-labs/app-monorepo/pull/2649) ([@GormanDesign](https://github.com/GormanDesign))
- Cleanup tooltip and toast language [#2644](https://github.com/knapsack-labs/app-monorepo/pull/2644) ([@GormanDesign](https://github.com/GormanDesign))
- Toasts message handles markdown [#2646](https://github.com/knapsack-labs/app-monorepo/pull/2646) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.4 (Wed Jun 21 2023)

### Release Notes

#### Template Stage UX Improvements ([#2638](https://github.com/knapsack-labs/app-monorepo/pull/2638))

- Hides stage form trigger when demo is template demo and user can't save
- Hide editing UI when a user can't save data
- Update stage panel trigger label based on demo type
- Allows reseting demo size to auto (default)
- Prevents extra scrolling in schema form

---

#### 🐛 Bug Fix

- Template Stage UX Improvements [#2638](https://github.com/knapsack-labs/app-monorepo/pull/2638) ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- KSP-3162: All active site client data archived to S3 nightly [#2640](https://github.com/knapsack-labs/app-monorepo/pull/2640) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.2 (Tue Jun 20 2023)

#### 🐛 Bug Fix

- Fixes template portal spec tab state not updating on save [#2639](https://github.com/knapsack-labs/app-monorepo/pull/2639) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.2.0 (Mon Jun 19 2023)

#### 🚀 Enhancement

- KSP-3365: support for Token Studio for Figma tokens [#2631](https://github.com/knapsack-labs/app-monorepo/pull/2631) ([@illepic](https://github.com/illepic) [@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- Merge remote-tracking branch 'origin/latest' into feature/ksp-3365-write-failing-tests-for-all-the-token-types ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3365-write-failing-tests-for-all-the-token-types ([@illepic](https://github.com/illepic))

#### Authors: 2

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.1.10 (Mon Jun 19 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into merge-latest-into-v3 ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 1

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.1.9 (Fri Jun 16 2023)

#### 🐛 Bug Fix

- setup migrations [#2629](https://github.com/knapsack-labs/app-monorepo/pull/2629) ([@EvanLovely](https://github.com/EvanLovely))
- changes to types: slottedText and data Demos ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.1.8 (Fri Jun 16 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3322-duplicating-a-page-does-not-duplicate-blocks ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.1.7 (Thu Jun 15 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3331-style-dictionary-and-tokens-studio-both-are-included-in ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/prune-old-template-stage ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/prune-old-template-stage ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/feature/ksp-3349-v4-migration-clicking-copy-link-to-playground-embed-sends' into feature/prune-old-template-stage ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/add-style-dictionary-output ([@illepic](https://github.com/illepic))

#### 🏠 Internal

- Merge remote-tracking branch 'origin/EvanLovely-patch-16' into feature/prune-old-template-stage [#2621](https://github.com/knapsack-labs/app-monorepo/pull/2621) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.1.6 (Thu Jun 15 2023)

#### 🐛 Bug Fix

- Box Shadow demo accepts string tokens [#2620](https://github.com/knapsack-labs/app-monorepo/pull/2620) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.1.5 (Wed Jun 14 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3276-handle-attempting-to-reference-a-token-with-no-options-that ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.1.4 (Wed Jun 14 2023)

#### 🐛 Bug Fix

- Fixes color swatches not displaying referenced token or description KSP-3342 [#2603](https://github.com/knapsack-labs/app-monorepo/pull/2603) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.1.3 (Tue Jun 13 2023)

#### 🐛 Bug Fix

- fix post add template url redirects KSP-3185 [#2608](https://github.com/knapsack-labs/app-monorepo/pull/2608) ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into v3 ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v4.1.2 (Tue Jun 13 2023)

#### 🐛 Bug Fix

- updates logic for setting nav link to active [#2604](https://github.com/knapsack-labs/app-monorepo/pull/2604) ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3216-tokens-active-nav-state-issues ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.1.0 (Tue Jun 13 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3336-attachments-block-allow-entering-a-url-instead-of-uploading ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.11 (Fri Jun 09 2023)

#### 🐛 Bug Fix

- KSP-3263 Added cases to handle inherit token [#2588](https://github.com/knapsack-labs/app-monorepo/pull/2588) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@EmmanuelVelez](https://github.com/EmmanuelVelez))

#### Authors: 2

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

---

# v4.0.10 (Thu Jun 08 2023)

### Release Notes

#### show error message when switching to v3 branch on v4 ([#2591](https://github.com/knapsack-labs/app-monorepo/pull/2591))

When on v4 and switching to an older branch from v3 a basic error now shows up for the user:

![CleanShot 2023-06-08 at 15 45 40](https://github.com/knapsack-labs/app-monorepo/assets/569699/98378ced-ef81-4baa-b4d0-37c291ee29d6)

---

#### 🐛 Bug Fix

- show error message when switching to v3 branch on v4 [#2591](https://github.com/knapsack-labs/app-monorepo/pull/2591) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.8 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- KSP-3326: SCSS/LESS/CSSvars proper inline var output [#2582](https://github.com/knapsack-labs/app-monorepo/pull/2582) ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-3326-tokens-to-sass-converter-outputs-incorrect-media-queries ([@illepic](https://github.com/illepic))
- Merge branch 'latest' into feature/ksp-3286-navigating-cold-to-token-group-with-dots-in-name-causes-404 ([@illepic](https://github.com/illepic))
- Merge branch 'feature/ksp-3280-tokens-editing-group-creates-new-nested-group-in-empty-key' into feature/ksp-3286-navigating-cold-to-token-group-with-dots-in-name-causes-404 ([@illepic](https://github.com/illepic))

#### Authors: 1

- Christopher Bloom ([@illepic](https://github.com/illepic))

---

# v4.0.7 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- adds logic to disable editing theme unless on branch [#2585](https://github.com/knapsack-labs/app-monorepo/pull/2585) ([@mabry1985](https://github.com/mabry1985))
- merge latest ([@mabry1985](https://github.com/mabry1985))

#### Authors: 1

- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v4.0.6 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- KSP-3280: token rename and grouping works [#2543](https://github.com/knapsack-labs/app-monorepo/pull/2543) ([@illepic](https://github.com/illepic) [@GormanDesign](https://github.com/GormanDesign) [@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3280-tokens-editing-group-creates-new-nested-group-in-empty-key ([@illepic](https://github.com/illepic))
- Merge branch 'epic/v4' into feature/ksp-3280-tokens-editing-group-creates-new-nested-group-in-empty-key ([@illepic](https://github.com/illepic))

#### Authors: 3

- Christopher Bloom ([@illepic](https://github.com/illepic))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.0.5 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3329-move-back-to-webpack-for-pre-bundling ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- re-setup webpack for App UI instead of vite KSP-3329 [#2581](https://github.com/knapsack-labs/app-monorepo/pull/2581) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.4 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- KSP-3310 tokens temporarily disable cubicBezier transition token [#2561](https://github.com/knapsack-labs/app-monorepo/pull/2561) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@GormanDesign](https://github.com/GormanDesign) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- Merge branch 'latest' into feature/ksp-3281-tokens-deleting-a-token-does-not-close-panel-and-redirects-redux ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into GormanDesign-patch-2 ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into GormanDesign-patch-1 ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 5

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v4.0.3 (Thu Jun 08 2023)

#### 🐛 Bug Fix

- manually bump version to 4.0.2 [#2580](https://github.com/knapsack-labs/app-monorepo/pull/2580) ([@EvanLovely](https://github.com/EvanLovely))
- manually bump version to 4.0.2 ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/v3' into feature/v3-update-latest ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/v3-update-latest ([@EvanLovely](https://github.com/EvanLovely))
- v3.117.0 ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v4.0.1 (Wed Jun 07 2023)

#### 🐛 Bug Fix

- reset pkg versions back to 4.0.0 ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/v3-update-latest ([@EvanLovely](https://github.com/EvanLovely))
- Bump version to: v3.116.7 \[skip ci\] ([@KnapsackBot](https://github.com/KnapsackBot))

#### 🏠 Internal

- v3 -> latest [#2577](https://github.com/knapsack-labs/app-monorepo/pull/2577) ([@EvanLovely](https://github.com/EvanLovely) [@freneticpixel](https://github.com/freneticpixel))

#### Authors: 3

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- KnapsackBot ([@KnapsackBot](https://github.com/KnapsackBot))

---

# v3.116.6 (Tue Jun 06 2023)

#### 🐛 Bug Fix

- Add copy action to code snippet block KSP-3248 [#2553](https://github.com/knapsack-labs/app-monorepo/pull/2553) ([@GormanDesign](https://github.com/GormanDesign))

#### Authors: 1

- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.5 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- ensure slots form only shows patterns of same template language KSP-3271 [#2555](https://github.com/knapsack-labs/app-monorepo/pull/2555) ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3288-add-excludefromanalytics-to-sites-table ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- KSP-3288: Adds excludeFromAnalytics to sites and filters on this for daily summaries [#2535](https://github.com/knapsack-labs/app-monorepo/pull/2535) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v3.116.4 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- Adds success toasts for template demo updates [#2545](https://github.com/knapsack-labs/app-monorepo/pull/2545) ([@GormanDesign](https://github.com/GormanDesign) [@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.3 (Mon Jun 05 2023)

#### 🐛 Bug Fix

- Fixes template language id not updating in template form [#2541](https://github.com/knapsack-labs/app-monorepo/pull/2541) ([@GormanDesign](https://github.com/GormanDesign))
- Adding fs-extra types to packages using fs-extra ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- Add fs-extra types to packages without it [#2551](https://github.com/knapsack-labs/app-monorepo/pull/2551) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.116.0 (Fri May 26 2023)

#### 🚀 Enhancement

- pull all tools pkgs back in [#2526](https://github.com/knapsack-labs/app-monorepo/pull/2526) ([@EvanLovely](https://github.com/EvanLovely))

#### 🐛 Bug Fix

- formatting pkgs ([@EvanLovely](https://github.com/EvanLovely))
- aligning all package versions ([@EvanLovely](https://github.com/EvanLovely))
- adjust package versions to use workspace:* ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' of github.com:knapsack-cloud-internal/app-monorepo into feature/ksp-3206-gitlab-provider-add-support-for-rest ([@emmanuelhcpk](https://github.com/emmanuelhcpk))

#### 🏠 Internal

- Implementing gitlab api rest endpoints [#2479](https://github.com/knapsack-labs/app-monorepo/pull/2479) ([@emmanuelhcpk](https://github.com/emmanuelhcpk) [@freneticpixel](https://github.com/freneticpixel) [@EmmanuelVelez](https://github.com/EmmanuelVelez))
- add delay util for testing [#2516](https://github.com/knapsack-labs/app-monorepo/pull/2516) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 4

- [@EmmanuelVelez](https://github.com/EmmanuelVelez)
- Emmanuel Velez ([@emmanuelhcpk](https://github.com/emmanuelhcpk))
- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))

---

# v3.111.9 (Wed May 24 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3261-update-retrieval-chain ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3191-ksp-3212-orgid-metadata ([@freneticpixel](https://github.com/freneticpixel))

#### 🏠 Internal

- KSP-3212,KSP-3191: Add additional metrics to analytics and logging [#2504](https://github.com/knapsack-labs/app-monorepo/pull/2504) ([@freneticpixel](https://github.com/freneticpixel))

#### Authors: 2

- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))

---

# v3.111.8 (Wed May 24 2023)

#### 🐛 Bug Fix

- KSP-2918: template stage loading indicator shows while component is loading too [#2517](https://github.com/knapsack-labs/app-monorepo/pull/2517) ([@EvanLovely](https://github.com/EvanLovely) [@GormanDesign](https://github.com/GormanDesign))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.111.3 (Wed May 10 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/setup-ks-urls ([@EvanLovely](https://github.com/EvanLovely))
- update package imports ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- setup KS Urls in Core [#2490](https://github.com/knapsack-labs/app-monorepo/pull/2490) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 1

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))

---

# v3.111.1 (Tue May 09 2023)

#### 🐛 Bug Fix

- Merge branch 'latest' into feature/ksp-3196-reference-tokens-created-in-token-studio ([@GormanDesign](https://github.com/GormanDesign))

#### 🏠 Internal

- swap start cmd [#2488](https://github.com/knapsack-labs/app-monorepo/pull/2488) ([@EvanLovely](https://github.com/EvanLovely))

#### Authors: 2

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# v3.111.0 (Tue May 09 2023)

#### 🐛 Bug Fix

- KSP-3153: Updating packages to private if they are not a public dependency [#2384](https://github.com/knapsack-labs/app-monorepo/pull/2384) ([@freneticpixel](https://github.com/freneticpixel))
- merges latest ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-2884-collapsing-panel-with-form-fields-causes ([@GormanDesign](https://github.com/GormanDesign))
- format pkgs ([@EvanLovely](https://github.com/EvanLovely))
- Merge remote-tracking branch 'origin/latest' into feature/setup-turborepo ([@EvanLovely](https://github.com/EvanLovely))
- set semver range ([@EvanLovely](https://github.com/EvanLovely))
- use ava with disabled worker threads ([@EvanLovely](https://github.com/EvanLovely))
- Merge branch 'latest' into feature/ksp-3195-chat-interface-on-atlas-to-call-app-api ([@mabry1985](https://github.com/mabry1985))
- Merge branch 'latest' into feature/ksp-3153-mark-some-packges-as-private ([@freneticpixel](https://github.com/freneticpixel))
- timing test runs ([@EvanLovely](https://github.com/EvanLovely))
- try ava pkg with increased CI timeouts ([@EvanLovely](https://github.com/EvanLovely))
- update pkg versions ([@EvanLovely](https://github.com/EvanLovely))
- update scripts ([@EvanLovely](https://github.com/EvanLovely))
- swap to workspace:* version syntax, update npmignore ([@EvanLovely](https://github.com/EvanLovely))
- update typescript ([@EvanLovely](https://github.com/EvanLovely))
- swapt rush for turbo and pnpm in monorepo ([@EvanLovely](https://github.com/EvanLovely))

#### 🏠 Internal

- bump @types/webpack and vue-loader versions [#2424](https://github.com/knapsack-labs/app-monorepo/pull/2424) ([@EvanLovely](https://github.com/EvanLovely))
- setup turborepo [#2399](https://github.com/knapsack-labs/app-monorepo/pull/2399) ([@EvanLovely](https://github.com/EvanLovely) [@freneticpixel](https://github.com/freneticpixel))

#### Authors: 4

- Evan Lovely ([@EvanLovely](https://github.com/EvanLovely))
- Jim Frenette ([@freneticpixel](https://github.com/freneticpixel))
- Josh Mabry ([@mabry1985](https://github.com/mabry1985))
- Matt Gorman ([@GormanDesign](https://github.com/GormanDesign))

---

# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

## [3.13.1](https://github.com/knapsack-cloud-internal/app-client/compare/v3.13.0...v3.13.1) (2021-02-17)

**Note:** Version bump only for package @knapsack/renderer-angular





# [3.13.0](https://github.com/knapsack-cloud-internal/app-client/compare/v3.12.0...v3.13.0) (2021-02-16)


### Features

* remove all unused-ui code ([#572](https://github.com/knapsack-cloud-internal/app-client/issues/572)) ([5ca0cd8](https://github.com/knapsack-cloud-internal/app-client/commit/5ca0cd80fe44e8e6536150b5aaf25c7b9cc4d262))
* setup new design tokens file format based on Style Dictionary. Allows editing of token data ([e981684](https://github.com/knapsack-cloud-internal/app-client/commit/e98168496586190eddc1c3ba92125925598a1ed2))





# [3.12.0](https://github.com/knapsack-cloud-internal/app-client/compare/v3.10.2...v3.12.0) (2021-02-16)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.10.2](https://github.com/basaltinc/knapsack/compare/v3.10.1...v3.10.2) (2021-02-08)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.10.1](https://github.com/basaltinc/knapsack/compare/v3.10.0...v3.10.1) (2021-02-08)

**Note:** Version bump only for package @knapsack/renderer-angular





# [3.10.0](https://github.com/basaltinc/knapsack/compare/v3.9.12...v3.10.0) (2021-01-28)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.9.12](https://github.com/basaltinc/knapsack/compare/v3.9.11...v3.9.12) (2021-01-15)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.9.11](https://github.com/basaltinc/knapsack/compare/v3.9.10...v3.9.11) (2021-01-12)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.9.10](https://github.com/basaltinc/knapsack/compare/v3.9.9...v3.9.10) (2020-12-14)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.9.9](https://github.com/basaltinc/knapsack/compare/v3.9.8...v3.9.9) (2020-12-14)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.9.8](https://github.com/basaltinc/knapsack/compare/v3.9.7...v3.9.8) (2020-12-12)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.9.7](https://github.com/basaltinc/knapsack/compare/v3.9.6...v3.9.7) (2020-12-10)


### Bug Fixes

* **core:** user types available, moved handlebars-helpers to @knapsack/app ([8701f4d](https://github.com/basaltinc/knapsack/commit/8701f4dcda04e931bca434e913487eec95ee2ab9))





## [3.9.6](https://github.com/basaltinc/knapsack/compare/v3.9.5...v3.9.6) (2020-12-04)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.9.5](https://github.com/basaltinc/knapsack/compare/v3.9.4...v3.9.5) (2020-12-04)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.9.4](https://github.com/basaltinc/knapsack/compare/v3.9.3...v3.9.4) (2020-11-30)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.9.3](https://github.com/basaltinc/knapsack/compare/v3.9.2...v3.9.3) (2020-11-25)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.9.2](https://github.com/basaltinc/knapsack/compare/v3.9.1...v3.9.2) (2020-11-22)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.9.1](https://github.com/basaltinc/knapsack/compare/v3.9.0...v3.9.1) (2020-11-05)


### Bug Fixes

* angular template change event ([13141a6](https://github.com/basaltinc/knapsack/commit/13141a6bdbbd49904d50463854e11ab545865d47))





# [3.9.0](https://github.com/basaltinc/knapsack/compare/v3.8.3...v3.9.0) (2020-11-05)


### Features

* add hasSlotsSupport renderer meta field ([2c90de2](https://github.com/basaltinc/knapsack/commit/2c90de29949d73ff05525a92d7b91e3eb6eca207))





## [3.8.3](https://github.com/basaltinc/knapsack/compare/v3.8.2...v3.8.3) (2020-10-27)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.8.2](https://github.com/basaltinc/knapsack/compare/v3.8.1...v3.8.2) (2020-10-19)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.8.1](https://github.com/basaltinc/knapsack/compare/v3.8.0...v3.8.1) (2020-10-19)

**Note:** Version bump only for package @knapsack/renderer-angular





# [3.8.0](https://github.com/basaltinc/knapsack/compare/v3.7.2...v3.8.0) (2020-10-19)

**Note:** Version bump only for package @knapsack/renderer-angular





# [3.7.0](https://github.com/basaltinc/knapsack/compare/v3.6.1...v3.7.0) (2020-10-19)


### Bug Fixes

* setup update-notifier for packages ([29f403e](https://github.com/basaltinc/knapsack/commit/29f403ec2f2c9109ae2c3230d4f4d8b523824b38))





## [3.6.1](https://github.com/basaltinc/knapsack/compare/v3.6.0...v3.6.1) (2020-10-14)

**Note:** Version bump only for package @knapsack/renderer-angular





# [3.6.0](https://github.com/basaltinc/knapsack/compare/v3.5.1...v3.6.0) (2020-10-09)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.5.1](https://github.com/basaltinc/knapsack/compare/v3.5.0...v3.5.1) (2020-10-09)

**Note:** Version bump only for package @knapsack/renderer-angular





# [3.5.0](https://github.com/basaltinc/knapsack/compare/v3.4.3...v3.5.0) (2020-10-09)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.4.3](https://github.com/basaltinc/knapsack/compare/v3.4.2...v3.4.3) (2020-10-08)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.4.2](https://github.com/basaltinc/knapsack/compare/v3.4.1...v3.4.2) (2020-10-01)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.4.1](https://github.com/basaltinc/knapsack/compare/v3.4.0...v3.4.1) (2020-09-22)

**Note:** Version bump only for package @knapsack/renderer-angular





# [3.4.0](https://github.com/basaltinc/knapsack/compare/v3.3.2...v3.4.0) (2020-09-21)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.3.2](https://github.com/basaltinc/knapsack/compare/v3.3.1...v3.3.2) (2020-09-14)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.3.1](https://github.com/basaltinc/knapsack/compare/v3.3.0...v3.3.1) (2020-09-08)

**Note:** Version bump only for package @knapsack/renderer-angular





# [3.3.0](https://github.com/basaltinc/knapsack/compare/v3.2.1...v3.3.0) (2020-09-02)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.2.1](https://github.com/basaltinc/knapsack/compare/v3.2.0...v3.2.1) (2020-08-25)

**Note:** Version bump only for package @knapsack/renderer-angular





# [3.2.0](https://github.com/basaltinc/knapsack/compare/v3.1.1...v3.2.0) (2020-08-21)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.1.1](https://github.com/basaltinc/knapsack/compare/v3.1.0...v3.1.1) (2020-08-19)

**Note:** Version bump only for package @knapsack/renderer-angular





# [3.1.0](https://github.com/basaltinc/knapsack/compare/v3.0.4...v3.1.0) (2020-08-17)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.0.4](https://github.com/basaltinc/knapsack/compare/v3.0.3...v3.0.4) (2020-08-07)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.0.3](https://github.com/basaltinc/knapsack/compare/v3.0.2...v3.0.3) (2020-08-07)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.0.2](https://github.com/basaltinc/knapsack/compare/v3.0.1...v3.0.2) (2020-08-07)

**Note:** Version bump only for package @knapsack/renderer-angular





## [3.0.1](https://github.com/basaltinc/knapsack/compare/v3.0.0...v3.0.1) (2020-08-06)

**Note:** Version bump only for package @knapsack/renderer-angular
