import { KnapsackRendererBase } from '@knapsack/app';
import type { KnapsackRenderParams, KnapsackTemplateRenderer, KnapsackTemplateRendererResults, KnapsackTemplateRendererBase, GetFootParams, KnapsackConfig, Patterns } from '@knapsack/app/types';
import { KsAngularMeta } from './types';
export type { KsAngularMeta as KsNgMeta, KsAngularMeta };
export declare class KnapsackAngularRenderer extends KnapsackRendererBase implements KnapsackTemplateRenderer {
    private ngAppDistDir;
    ksPublicPath: string;
    extraHtmlTags: string[];
    config: KnapsackConfig;
    patterns: Patterns;
    angularJson: any;
    ngAppRoot: string;
    constructor();
    writeFile(): void;
    init(opt: {
        config: KnapsackConfig;
        patterns: Patterns;
        cacheDir: string;
    }): Promise<void>;
    getBuildMeta(): Promise<void>;
    render(opt: KnapsackRenderParams): Promise<KnapsackTemplateRendererResults>;
    getUsage(opt: KnapsackRenderParams): Promise<string>;
    getFoot(opt: GetFootParams): string;
    watch(): Promise<void>;
    getTemplateSuggestions({ newPath, }: Parameters<KnapsackTemplateRendererBase['getTemplateSuggestions']>[0]): ReturnType<KnapsackTemplateRendererBase['getTemplateSuggestions']>;
    getMeta: KnapsackTemplateRendererBase['getMeta'];
}
//# sourceMappingURL=renderer-angular.d.ts.map