import type { Demo } from '@knapsack/types';
export type ImportInfo = {
    /**
     * Either the `KsButton` in `import { KsButton } from './button'` or the `KsButton` in `import KsButton from './button'`
     */
    name: string;
    isNamedImport?: boolean;
    path: string;
    patternId: string;
    templateId: string;
    demoId?: string;
};
/**
 * Found as JSON in HTML `#ks-angular-meta`
 */
export interface KsAngularMeta {
    imports?: ImportInfo[];
    demo: Demo;
    patternId: string;
    templateId: string;
}
export declare enum EVENTS {
    KsRendererClientManifestReady = "KsRendererClientManifestReady",
    KsAngularRenderReady = "KsAngularRenderReady"
}
//# sourceMappingURL=types.d.ts.map